NNG_STAT_NAME(3)

NAME
nng_stat_name - get statistic name

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    const char *nng_stat_name(nng_stat *stat);

DESCRIPTION

The nng_stat_name() function returns the name for the statistic stat.

    Note

    The global root statistic will have the empty string ("") as it’s name.

RETURN VALUES

The name of statistic stat.

ERRORS

None.

SEE ALSO

libnng(3), nng_stats_get(3), nng_stat(5), nng(7)